Bug 1297977 - Review Request: python3-Cython - A language for writing Python 3 extension modules
Review Request: python3-Cython - A language for writing Python 3 extension mo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On: 1294860 1297514
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 16:58 EST by Orion Poplawski
Modified: 2016-04-06 17:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 17:57:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-01-12 16:58:03 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-Cython.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/
Description:

This is a development version of Pyrex, a language
for writing Python extension modules.

For more info, see:

    Doc/About.html for a description of the language
    INSTALL.txt    for installation instructions
    USAGE.txt      for usage instructions
    Demos          for usage examples

Fedora Account System Username: orion

This package is for EPEL only.

https://copr.fedoraproject.org/coprs/g/python/python3_epel7/build/153163/
Comment 1 Orion Poplawski 2016-03-03 14:45:26 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-Cython.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-Cython-0.23.4-2.el7.src.rpm

* Thu Mar 3 2016 Orion Poplawski - 0.23-2
- Fixup files
Comment 2 Denis Fateyev 2016-03-24 13:00:38 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* MIT/X11 (BSD like)", "Unknown or generated".
     1355 files have unknown license. Detailed output of licensecheck in
     /home/mock/sandbox/review/1297977-python3-Cython/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 409600 bytes in 76 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Separate " python34-Cython-0.23.4-2.el7.centos.x86_64.rpm" checks:
---------------------------------------------------------
 Rpmlint:
 --------
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/StringTools.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Exceptions.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/MemoryView_C.c
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Demos/callback/cheesefinder.h
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CppSupport.cpp
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Builtins.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/TypeConversion.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Overflow.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Profile.c
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Doc/primes.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ImportExport.c
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/FlowControl.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Printing.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Optimize.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Capsule.c
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Tempita/_tempita.cpython-34m.so 775
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/Scanning.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Buffer.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Coroutine.c
python34-Cython.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/Cython/Build/Cythonize.py 644 /usr/bin/env
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/Lexicon.cpython-34m.so 775
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/Visitor.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CommonTypes.c
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Demos/embed/Makefile.msc.static
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CythonFunction.c
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Demos/embed/Makefile.unix
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ExtensionTypes.c
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Demos/callback/README.txt
python34-Cython.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python34-Cython-0.23.4/Tools/cython.st
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/arrayarray.h
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Plex/Actions.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ModuleSetupCode.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CMath.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/FunctionArguments.c
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Runtime/refnanny.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ObjectHandling.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Embed.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/TestUtilityLoader.c
python34-Cython.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/Cython/Debugger/libpython.py 644 /usr/bin/python
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Plex/Scanners.cpython-34m.so 775
python34-Cython.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/Cython/Debugger/Cygdb.py 644 /usr/bin/env
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/Code.cpython-34m.so 775
python34-Cython.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/Cython/Compiler/Parsing.cpython-34m.so 775
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Debugger/Tests/cfuncs.c
python34-Cython.x86_64: E: non-executable-script /usr/lib64/python3.4/site-packages/cython.py 644 /usr/bin/env
python34-Cython.x86_64: W: no-manual-page-for-binary cython3.4
python34-Cython.x86_64: W: no-manual-page-for-binary cythonize3.4
python34-Cython.x86_64: W: no-manual-page-for-binary cygdb3.4
1 packages and 0 specfiles checked; 14 errors, 34 warnings.

 Requires:
 ---------
  $ rpm -qp --requires python34-Cython-0.23.4-2.el7.centos.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libpthread.so.0()(64bit)
      1 libpython3.4m.so.1.0()(64bit)
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PartialHardlinkSets) <= 4.0.4-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
      1 /usr/bin/python3.4

 Provides:
 ---------
  $ rpm -qp --provides python34-Cython-0.23.4-2.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-Cython = 0.23.4-2.el7.centos
      1 python34-Cython(x86-64) = 0.23.4-2.el7.centos


Source checksums
----------------
http://www.cython.org/release/Cython-0.23.4.tar.gz :
  CHECKSUM(SHA256) this package     : fec42fecee35d6cc02887f1eef4e4952c97402ed2800bfe41bbd9ed1a0730d8e
  CHECKSUM(SHA256) upstream package : fec42fecee35d6cc02887f1eef4e4952c97402ed2800bfe41bbd9ed1a0730d8e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1297977
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
--------
1) Please don't use $RPM_BUILD_ROOT and %{buildroot} in spec at the same time.
http://fedoraproject.org/wiki/Packaging/Guidelines#macros

2) Cython is licensed under Apache 2.0, except for "Tools/site_scons/site_tools/pyext.py" which is MIT licensed;

3) You can fix "non-standard-executable-perm" and "non-executable-script" rpmlint issues, and add "devel-file-in-non-devel-package" filter into '.rpmlint' while importing.
Comment 3 Orion Poplawski 2016-03-28 19:27:31 EDT
* Mon Mar 28 2016 Orion Poplawski - 0.23.5-1
- Update to 0.23.5
- Macro usage cleanup
- Fix license tag
- Fix line endings
- Remove unneeded shbangs

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-Cython.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-Cython-0.23.5-1.el7.src.rpm
Comment 4 Denis Fateyev 2016-03-29 07:25:07 EDT
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=13493918

 Rpmlint:
 --------
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/TestUtilityLoader.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ObjectHandling.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CppSupport.cpp
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Optimize.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ModuleSetupCode.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Profile.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Coroutine.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Builtins.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/TypeConversion.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ImportExport.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/MemoryView_C.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Embed.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Capsule.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/FunctionArguments.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Overflow.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/ExtensionTypes.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/arrayarray.h
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Buffer.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CMath.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Exceptions.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/Printing.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/StringTools.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Debugger/Tests/cfuncs.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CommonTypes.c
python34-Cython.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/Cython/Utility/CythonFunction.c
python34-Cython.x86_64: W: no-manual-page-for-binary cython3.4
python34-Cython.x86_64: W: no-manual-page-for-binary cythonize3.4
python34-Cython.x86_64: W: no-manual-page-for-binary cygdb3.4
1 packages and 0 specfiles checked; 0 errors, 28 warnings.

Please don't forget adding "devel-file-in-non-devel-package" filter into '.rpmlint'. Otherwise the package is APPROVED.
Comment 5 Orion Poplawski 2016-03-29 11:07:35 EDT
(In reply to Denis Fateyev from comment #4)
> Please don't forget adding "devel-file-in-non-devel-package" filter into
> '.rpmlint'. Otherwise the package is APPROVED.

Will do.  Thanks for the review.
Comment 6 Till Maas 2016-03-29 14:16:58 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-Cython
Comment 7 Fedora Update System 2016-03-29 17:51:46 EDT
python3-Cython-0.23.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a140c12508
Comment 8 Fedora Update System 2016-03-30 22:20:52 EDT
python3-Cython-0.23.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a140c12508
Comment 9 Fedora Update System 2016-04-06 17:57:32 EDT
python3-Cython-0.23.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.